## EntangleApplication

EntangleApplication — Global application state base class

## Functions

EntangleApplication * | entangle_application_new ()
EntangleCameraList * | entangle_application_get_active_cameras ()
EntangleCameraList * | entangle_application_get_supported_cameras ()
EntanglePreferences * | entangle_application_get_preferences ()
PeasEngine * | entangle_application_get_plugin_engine ()

## Properties

EntangleCameraList * | active-cameras | Read
EntanglePreferences * | preferences | Read
EntangleCameraList * | supported-cameras | Read

## Types and Values

#define | ENTANGLE_TYPE_APPLICATION
| EntangleApplication

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── EntangleApplication

## Implemented Interfaces

EntangleApplication implements GActionGroup and GActionMap.

## Description

EntangleApplication maintains some global application state. At this time, the list of currently attached cameras, the application preferences and the plugin manager.

## Functions

### entangle_application_new ()

    EntangleApplication *
    entangle_application_new (void);

### entangle_application_get_active_cameras ()

    EntangleCameraList *
    entangle_application_get_active_cameras
                                   (EntangleApplication *app);

Retrieve the active camera list

#### Parameters

app | the application |

#### Returns

the camera list.

[transfer none]

### entangle_application_get_supported_cameras ()

    EntangleCameraList *
    entangle_application_get_supported_cameras
                                   (EntangleApplication *app);

Retrieve the supported camera list

#### Parameters

app | the application |

#### Returns

the camera list.

[transfer none]

### entangle_application_get_preferences ()

    EntanglePreferences *
    entangle_application_get_preferences (EntangleApplication *app);

Retrieve the application preferences object

#### Parameters

app | the application |

#### Returns

the application preferences.

[transfer none]

### entangle_application_get_plugin_engine ()

    PeasEngine *
    entangle_application_get_plugin_engine
                                   (EntangleApplication *app);

Retrieve the plugin manager

#### Parameters

app | the application |

#### Returns

the plugin engine.

[transfer none]

## Types and Values

### ENTANGLE_TYPE_APPLICATION

    #define ENTANGLE_TYPE_APPLICATION (entangle_application_get_type())

### EntangleApplication

    typedef struct _EntangleApplication EntangleApplication;

## Property Details

### The `“active-cameras”` property

      “active-cameras”           EntangleCameraList *

List of active cameras.

Owner: EntangleApplication

Flags: Read

### The `“preferences”` property

      “preferences”              EntanglePreferences *

Application preferences.

Owner: EntangleApplication

Flags: Read

### The `“supported-cameras”` property

      “supported-cameras”        EntangleCameraList *

List of supported cameras.

Owner: EntangleApplication

Flags: Read